- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libcdr::CDRColor Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions
| CDRColor ()
| CDRColor (unsigned short colorModel, unsigned colorValue)
| CDRColor (const CDRColor &color)

## Public Attributes
unsigned short | m_colorModel
unsigned | m_colorValue

## Constructor & Destructor Documentation

libcdr::CDRColor::CDRColor | ( |  | ) |
| inline

libcdr::CDRColor::CDRColor | ( | unsigned short | colorModel,
|  | unsigned | colorValue
| ) |  |
| inline

libcdr::CDRColor::CDRColor | ( | const CDRColor & | color | ) |
| inline

## Member Data Documentation

unsigned short libcdr::CDRColor::m_colorModel

Referenced by libcdr::CDRParserState::_getRGBColor(), and libcdr::CDRParserState::getBMPColor().

unsigned libcdr::CDRColor::m_colorValue

Referenced by libcdr::CDRParserState::_getRGBColor(), and libcdr::CDRParserState::getBMPColor().

The documentation for this struct was generated from the following file:

- CDRTypes.h